[API Reference](../README.md) > [ProposeUpgradingSchemeParams](../interfaces/ProposeUpgradingSchemeParams.md)



# Interface: ProposeUpgradingSchemeParams


## Properties
<a id="avatar"></a>

###  avatar

**●  avatar**:  *[Address](../#Address)* 

*Defined in [wrappers/upgradeScheme.ts:164](https://github.com/daostack/arc.js/blob/77005d4/lib/wrappers/upgradeScheme.ts#L164)*



avatar address




___

<a id="scheme"></a>

###  scheme

**●  scheme**:  *`string`* 

*Defined in [wrappers/upgradeScheme.ts:168](https://github.com/daostack/arc.js/blob/77005d4/lib/wrappers/upgradeScheme.ts#L168)*



upgrading scheme address




___

<a id="schemeParametersHash"></a>

###  schemeParametersHash

**●  schemeParametersHash**:  *`string`* 

*Defined in [wrappers/upgradeScheme.ts:172](https://github.com/daostack/arc.js/blob/77005d4/lib/wrappers/upgradeScheme.ts#L172)*



hash of the parameters of the upgrading scheme. These must be already registered with the new scheme.




___


